<?php
/**
 * @file
 * popup window for isdn and anolog groups
 */

require_once('/usr/local/www/berogui/includes/Helper/Helper.php');

$load_popup = 1;
$invalid = array();

/* [CHECKING GET REQUEST] */
$list_get = array(	'start' => 'start',
			'id'	=> 'id'	  );

$_GET = Helper::sanitizeGet($_GET, $list_get, $load_popup, $invalid);

/* [CHECKING POST REQUEST] */
unset($_POST);

/* [LOADING POPUP] */
if (!$load_popup) {
        echo "<script>window.location='../../index.php?m=Dos&error=1&request={$invalid['request']}&checkor={$invalid['checkor']}&key={$invalid['key']}'</script>";
	exit(1);
}

chdir("../..");

include "./includes/variables.php";
include_once("/usr/www/include/SQLite2ToSQLite3.php");
include "./misc/database.php";
include("./misc/config_parameter.php");
$ba = new beroAri();
require_once ('./includes/lang.php');
require_once "./includes/isgwtelnet.php";
require_once('/usr/local/www/berogui/includes/session.php');



$start 	= $_GET['start'];
$id 	= sqlite_escape_string($_GET['id']);
?>

<script>
	$("#dosl").validate({
		rules: {
			address: { 
				checkHostname : true, 
				required: true
			},
			netmask: {
				digits: true,
				range: [0,32],
			},
		}
	});
</script>
<?php
require_once ('./includes/Helper/HelperSip.php');



function dos_rule($ba, $id){
	$address= getValue ($ba, $id, "address");
	$netmask= getValue ($ba, $id, "netmask");
	$sipstack= getValue ($ba, $id, "sipstack");
	
	$sipstack_select_any = "";
	$sipstack_select_lan = "";
	$sipstack_select_wan = "";
	
	if ($sipstack == "LAN") {
		$sipstack_select_lan = "selected";
	}
	else if ($sipstack == "WAN") {
		$sipstack_select_wan = "selected";
	}
	else {
		$sipstack_select_any = "selected";
	}
// 	$query=$ba->select("select s from whitelist where id='$id'");

	$result="<br>"
	.	"<div class='form-group'>"
	. "<label for='address' class='col-sm-4 control-label'>" . DOS_DOS_RULE_DIS . "</label>"
	. " <div class='col-sm-5'>"
	. "		<input type='text' name='address' value='$address' class='form-control input-sm' style='width:70%;display:inline-block;'/> / "
	. "		<input type='text' name='netmask' value='$netmask' class='form-control input-sm' style='width:25%;display:inline-block;'/>"
	. "	</div>"
	. "</div>"
	.	"<div class='form-group'>"
	. "<label for='sipstack' class='col-sm-4 control-label'>SIP Stack</label>"
	. "	<div class='col-sm-5'>"
	. "		<select class='form-control input-sm' name='sipstack'>"
	. "			<option value='ANY' " . $sipstack_select_any . "> ANY </option>"
	. "			<option value='LAN' " . $sipstack_select_lan . "> ". ($ba->get('is_sbc_vm') == 1 ? 'LAN/VPN' : 'LAN') ." </option>"
	. "			<option value='WAN' " . $sipstack_select_wan . "> WAN </option>"
	. "		</select>"
	. " </div>"
	. "</div>";
	
    return $result;
}

function getValue($ba, $id, $colname){
	$query=$ba->select("select $colname from whitelist where id='$id'");
    return sqlite_fetch_single($query);
}

?>
<form class='form-horizontal' name='dosl' id='dosl' action='modules/Dos/dos_submit.php' method='POST'>
        <input type=hidden name='start' value='<?php echo $start; ?>'>

	<div class='form-group'>
		<?php echo dos_rule($ba, $id); ?>
	</div>
	<div class='text-center'><i><?php echo REQUIRED_FIELDS; ?></i></div>
	<br/>
	<input type='hidden' name='id_upd' value='<?php echo $id; ?>'>
	<div class='text-center'>
		<button type='submit' class='btn btn-default'><?php echo BUTTON_SAVE; ?></button>
	</div>
</form>
